<?php
/**
 * Charitable Funds functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package charitable_funds
 */

if ( ! defined( 'CHARITABLE_FUNDS_VERSION' ) ) {
	define( 'CHARITABLE_FUNDS_VERSION', '1.0.0' );
}

$charitable_funds_theme_data = wp_get_theme();

if( ! defined( 'CHARITABLE_FUNDS_THEME_VERSION' ) ) define ( 'CHARITABLE_FUNDS_THEME_VERSION', $charitable_funds_theme_data->get( 'Version' ) );
if( ! defined( 'CHARITABLE_FUNDS_THEME_NAME' ) ) define( 'CHARITABLE_FUNDS_THEME_NAME', $charitable_funds_theme_data->get( 'Name' ) );

if ( ! function_exists( 'charitable_funds_setup' ) ) :
	
	function charitable_funds_setup() {
		
		load_theme_textdomain( 'charitable-funds', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'charitable-funds' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'charitable_funds_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*  Demo Import */
		require get_parent_theme_file_path( '/theme-wizard/config.php' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );

	}
endif;
add_action( 'after_setup_theme', 'charitable_funds_setup' );

function charitable_funds_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'charitable_funds_content_width', 640 );
}
add_action( 'after_setup_theme', 'charitable_funds_content_width', 0 );

function charitable_funds_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'charitable-funds' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'charitable-funds' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$charitable_funds_footer_widget_column = get_theme_mod('charitable_funds_footer_widget_column','4');
	for ($charitable_funds_i=1; $charitable_funds_i<=$charitable_funds_footer_widget_column; $charitable_funds_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'charitable-funds' )  . $charitable_funds_i,
			'id' => 'footer-widget-' . $charitable_funds_i,
			'description' => __( 'The Footer Widget Area', 'charitable-funds' )  . $charitable_funds_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'charitable_funds_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function charitable_funds_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'charitable-funds-style', get_template_directory_uri() . '/style.css', array(), CHARITABLE_FUNDS_VERSION );

	// RTL style.
	wp_style_add_data('charitable-funds-style', 'rtl', 'replace');

	if (get_theme_mod('charitable_funds_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'charitable-funds-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), CHARITABLE_FUNDS_VERSION, true );

	// Custom script.
	wp_enqueue_script( 'charitable-funds-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), CHARITABLE_FUNDS_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'Sora',
		Charitable_Funds_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Sora:wght@100..800&display=swap' ),
		array(),
		'1.0'
	);
}
add_action( 'wp_enqueue_scripts', 'charitable_funds_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'charitable_funds_products_per_page' );
function charitable_funds_products_per_page( $cols ) {
  	return  get_theme_mod( 'charitable_funds_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'charitable_funds_loop_columns');
	if (!function_exists('charitable_funds_loop_columns')) {
	function charitable_funds_loop_columns() {
		return get_theme_mod( 'charitable_funds_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function charitable_funds_links_setup() {
	if ( ! defined( 'CHARITABLE_FUNDS_PREMIUM_PAGE' ) ) {
	define('CHARITABLE_FUNDS_PREMIUM_PAGE',__('https://asterthemes.com/products/charitable-wordpress-theme','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_THEME_PAGE' ) ) {
		define('CHARITABLE_FUNDS_THEME_PAGE',__('https://asterthemes.com/products/charitable-funds','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_SUPPORT' ) ) {
	define('CHARITABLE_FUNDS_SUPPORT',__('https://wordpress.org/support/theme/charitable-funds/','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_REVIEW' ) ) {
	define('CHARITABLE_FUNDS_REVIEW',__('https://wordpress.org/support/theme/charitable-funds/reviews/','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_PRO_DEMO' ) ) {
	define('CHARITABLE_FUNDS_PRO_DEMO',__('https://demo.asterthemes.com/charitable-funds/','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_THEME_DOCUMENTATION' ) ) {
	define('CHARITABLE_FUNDS_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/charitable-funds-free/','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_PREMIUM_DOCUMENTATION' ) ) {
	define('CHARITABLE_FUNDS_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/charitable-funds-pro/','charitable-funds'));
	}
	if ( ! defined( 'CHARITABLE_FUNDS_BUNDLE_PAGE' ) ) {
		define('CHARITABLE_FUNDS_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','charitable-funds'));
	}
}
add_action('after_setup_theme', 'charitable_funds_links_setup');

// Enqueue Customizer live preview script
function charitable_funds_customizer_live_preview() {
    wp_enqueue_script(
        'charitable-funds-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'charitable_funds_customizer_live_preview');

// Featured Image Dimension
function charitable_funds_blog_post_featured_image_dimension(){
	if(get_theme_mod('charitable_funds_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

// Add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($charitable_funds_classes, $class, $product_id) {

	    if( is_shop() || is_product_category() || is_product() ){
	        
	        $charitable_funds_classes = array_merge(['wow','zoomIn'], $charitable_funds_classes);
	    }

	    return $charitable_funds_classes;

	}, 10, 3);
}
//woocommerce-end//

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );